/**
 * $Id: AllowJDBC.java,v 1.1 2008/12/02 16:06:25 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 02.12.2008 by oliver (ob@oasd.de)
 */
package patterntesting.check.annotation;

/**
 * If you have damn JDBC calls in your class via DamnJDBC you can allow
 * some methods these calls be declaring them with @AllowJDBC.
 * 
 * @see DamnJDBC
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 02.12.2008
 * @version $Revision: 1.1 $
 */
public @interface AllowJDBC {

}

/**
 * $Log: AllowJDBC.java,v $
 * Revision 1.1  2008/12/02 16:06:25  oboehm
 * some more checks from PatternTesting 0.6 copied
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/check/annotation/AllowJDBC.java,v $
 */
